@echo off
REM	echo Bw0 BIOS update tool
REM	echo Revision 0113/431E1300   2010/02/10
REM	echo.

REM	check /m > nul
REM	if "%AHWID%"=="044E" goto FLASH
REM	goto HWIDERR

set THISHWID=044E
check /r=%THISHWID% /s=IAMo /g=0113 /n=0 /S 3ALAP024.ROM > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
:BBFLASH
@echo Now reading BIOS update tool ...
echo Execute BIOS ROM flash.....
       afudos   3ALAP024.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP022.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP021.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP019.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP517.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP515.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP513.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP511.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP510.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP508.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP507.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP506.ROM /p /b /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP506.ROM /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP505.ROM /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP710.ROM /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3ALAP502.ROM /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alapbta.rom /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alap502.rom /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alap501.rom /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alap708.rom /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alap707.rom /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alap706.rom /p /b /n /x  /r1 /r2 /r3 /r11
REM    afdos404 3alap706.rom /p /b /n /x /reboot /r1 /r2 /r3 /r11
REM    afdos404 3alap704.rom /p /b /n /x /reboot /r1 /r2 /r3 /r11
REM    afdos404 3alap702.rom /p /b /n /x /reboot /r1 /r2 /r3 /r11
REM    afdos404 3alap701.rom /p /b /n /x /reboot /r1 /r2 /r3 /r11
REM    afdos404 3alap701.rom /p /b /n /x /r1 /r2 /r3 /r11
REM    afdos404 407a0700.rom /p /b /n /x /reboot /r1 /r2 /r3 /r11
echo.
echo Please input "Ctrl+Alt+Del" 
:END
